pyspread (2.2.2-1) unstable; urgency=medium

  * New upstream release

 -- Andreas Noteng <andreas@noteng.no>  Mon, 02 Oct 2023 09:47:09 +0200

pyspread (2.1.1-2) unstable; urgency=medium

  * Install upstream metainfo file and rename desktop file accordingly
  * Update d/copyright
  * Bump standards-version to 4.6.1 (no change)
  * Remove non-standard field homepage from d/upstream/metadata

 -- Andreas Noteng <andreas@noteng.no>  Sun, 20 Nov 2022 12:24:36 +0100

pyspread (2.1.1-1) unstable; urgency=medium

  * New upstream release

 -- Andreas Noteng <andreas@noteng.no>  Sat, 19 Nov 2022 13:03:44 +0100

pyspread (2.1-3) unstable; urgency=medium

  * Add optional dependency py-moneyd

 -- Andreas Noteng <andreas@noteng.no>  Wed, 20 Apr 2022 15:08:03 +0200

pyspread (2.1-2) unstable; urgency=medium

  * Source only upload

 -- Andreas Noteng <andreas@noteng.no>  Mon, 18 Apr 2022 23:26:06 +0200

pyspread (2.1-1) unstable; urgency=medium

  * New upstream release

 -- Andreas Noteng <andreas@noteng.no>  Mon, 18 Apr 2022 22:48:05 +0200

pyspread (2.0.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.0 (no change)

 -- Andreas Noteng <andreas@noteng.no>  Sun, 17 Oct 2021 07:29:51 +0200

pyspread (1.99.8-2) unstable; urgency=medium

  * Source only upload for migration to testing.

 -- Andreas Noteng <andreas@noteng.no>  Sun, 17 Oct 2021 06:55:49 +0200

pyspread (1.99.8-1) unstable; urgency=medium

  * New upstream release

 -- Andreas Noteng <andreas@noteng.no>  Sat, 16 Oct 2021 22:38:47 +0200

pyspread (1.99.7-1) unstable; urgency=medium

  * New upstream release

 -- Andreas Noteng <andreas@noteng.no>  Sat, 14 Aug 2021 17:15:34 +0200

pyspread (1.99.6-1) unstable; urgency=medium

  [ Andreas Noteng ]
  * Bump Standards-Version to 4.5.1 (no change)
  * New upstream release

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

 -- Andreas Noteng <andreas@noteng.no>  Wed, 31 Mar 2021 08:09:23 +0200

pyspread (1.99.5-1) unstable; urgency=medium

  * New upstream release
  * Update watch file according to upstream web site

 -- Andreas Noteng <andreas@noteng.no>  Tue, 01 Dec 2020 18:41:08 +0100

pyspread (1.99.4-1) unstable; urgency=medium

  * New upstream release
  * Correctly verify download with signature (d/watch)

 -- Andreas Noteng <andreas@noteng.no>  Mon, 22 Sep 2020 07:58:29 +0200

pyspread (1.99.2-3) unstable; urgency=medium

  * Code highlighting in markdown rendering (Closes: #961313)
    - Added sun time dependency python3-pygments
  * Wrap-and-sort

 -- Andreas Noteng <andreas@noteng.no>  Sat, 23 May 2020 20:01:45 +0200

pyspread (1.99.2-2) unstable; urgency=medium

  * Source only upload
  * Switch d/watch back to gitlab and add signature checking
    (Signature check will fail with current source, but is expected to
    work with future upstream releases)
  * Bump compat level to 13 (no change)

 -- Andreas Noteng <andreas@noteng.no>  Sun, 10 May 2020 20:40:29 +0200

pyspread (1.99.2-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.5.0 (no change)

 -- Andreas Noteng <andreas@noteng.no>  Sat, 09 May 2020 03:50:51 +0200

pyspread (1.99.1-1) unstable; urgency=medium

  * New upstream release

 -- Andreas Noteng <andreas@noteng.no>  Sun, 29 Mar 2020 14:03:14 +0200

pyspread (1.99.0.1-2) unstable; urgency=medium

  * Use path objects instead of path strings in patches (Closes: #949162)

 -- Andreas Noteng <andreas@noteng.no>  Fri, 17 Jan 2020 17:52:09 +0100

pyspread (1.99.0.1-1) unstable; urgency=medium

  * New upstream alpha release
  * Remove more old deps no longer needed
  * Update d/watch to correctly check for signed release tarballs

 -- Andreas Noteng <andreas@noteng.no>  Wed, 08 Jan 2020 20:51:46 +0100

pyspread (1.99.0.0-2) unstable; urgency=medium

  * Fix incorrect path to icon in desktop file
  * Mention matplotlib template files in d/copyright
  * Add d/upstream/metadata
  * Remove old GnuPG dependency
  * Install mime types

 -- Andreas Noteng <andreas@noteng.no>  Thu, 02 Jan 2020 11:30:05 +0100

pyspread (1.99.0.0-1) unstable; urgency=medium

  * New upstream release
    - Switch to Python 3 (closes: #937544)
    - Switch to Qt5
    - Reenable tests

 -- Andreas Noteng <andreas@noteng.no>  Fri, 27 Dec 2019 23:39:18 +0100

pyspread (1.1.3-5) unstable; urgency=medium

  [ Andreas Noteng ]
  * Remove unused dependency python-gtk2 (Closes: #941876)

  [ Ondřej Nový ]
  * d/control: Fix wrong Vcs-*.
  * Bump Standards-Version to 4.4.1.

 -- Andreas Noteng <andreas@noteng.no>  Sat, 02 Nov 2019 18:59:50 +0100

pyspread (1.1.3-4) unstable; urgency=medium

  [ Andreas Noteng ]
  * Change GIT-repo to PAPT

  [ Sandro Tosi ]
  * debian/control
    - drop suggests on python-mpltoolkits.basemap, we can add it back when
      pyspread migrates to Python 3

 -- Sandro Tosi <morph@debian.org>  Mon, 19 Aug 2019 20:53:38 -0400

pyspread (1.1.3-3) unstable; urgency=medium

  * Move locale files to the correct directory

 -- Andreas Noteng <andreas@noteng.no>  Sat, 10 Aug 2019 05:59:49 +0200

pyspread (1.1.3-2) unstable; urgency=medium

  * Source only upload to allow migration to testing
  * Cleanup
  * Refresh debian/copyright

 -- Andreas Noteng <andreas@noteng.no>  Sat, 10 Aug 2019 03:57:05 +0200

pyspread (1.1.3-1) unstable; urgency=medium

  * New upstream version (Closes: #921692)
  * Switch debian repos to salsa
  * Bump Standards-Version to 4.4.0 (no change)
  * Bump compat level to 12 and use new way of setting compat in depends
  * Refresh patches

 -- Andreas Noteng <andreas@noteng.no>  Sun, 04 Aug 2019 10:40:11 +0200

pyspread (1.1.1-1) unstable; urgency=medium

  * New upstream release
  * Update package homepage
  * Bump Standards-Version to 4.1.3 (update URLs to HTTPS)

 -- Andreas Noteng <andreas@noteng.no>  Mon, 12 Feb 2018 23:08:09 +0100

pyspread (1.1-1) unstable; urgency=medium

  * New upstream release
  * Remove python-rsvg dependency due to deprecation in debian (Closes: #844149)
  * Add python-gtk2 dependency (Closes: #802424)
  * Bump Standards-Version to 3.9.8 (no change)
  * Bump debhelper compat to 9
  * Remove menu file

 -- Andreas Noteng <andreas@noteng.no>  Fri, 17 Feb 2017 23:33:41 +0100

pyspread (1.0.3-1) unstable; urgency=medium

  * New upstream release

 -- Andreas Noteng <andreas@noteng.no>  Tue, 10 May 2016 21:36:45 +0200

pyspread (1.0.2-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 3.9.7 (no change)

 -- Andreas Noteng <andreas@noteng.no>  Sun, 06 Mar 2016 22:27:40 +0100

pyspread (1.0.1-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Delete patch included upstream (fix_autocompletion.patch)
  * Add recommends: gnupg-agent
    - Gnupg-agent is necessary for signing with passphrase-protected keys.

 -- Andreas Noteng <andreas@noteng.no>  Sat, 09 Jan 2016 23:28:53 +0100

pyspread (1.0-2) unstable; urgency=medium

  * Fix autocompletion (Closes: #804449)
    (fix_autocompletion.patch)
  * Add minimum version 0.9.0-1 to Recommends: python-jedi

 -- Andreas Noteng <andreas@noteng.no>  Wed, 11 Nov 2015 22:59:44 +0100

pyspread (1.0-1) unstable; urgency=medium

  * New upstream release
  * Remove XS-Testsuite header, no longer necessary
  * Add missing libcairo-gobject2 dependency

 -- Andreas Noteng <andreas@noteng.no>  Sun, 08 Nov 2015 00:13:25 +0100

pyspread (0.4.3-1) unstable; urgency=medium

  * New upstream release

 -- Andreas Noteng <andreas@noteng.no>  Thu, 04 Jun 2015 18:55:07 +0200

pyspread (0.4.1-1) unstable; urgency=medium

  * New upstream release
  * Add dependency gir1.2-pango-1.0 (Closes: #781065)
  * Modify watch file to correctly check the signature of the upstream tarball
  * Refresh patches

 -- Andreas Noteng <andreas@noteng.no>  Tue, 28 Apr 2015 20:24:54 +0200

pyspread (0.4-2) unstable; urgency=medium

  * Add missing Recommends: Python-rsvg
  * Add missing dependencies python-cairo, libpangocairo-1.0-0 and
    libcairo-gobject2 (Closes: #780236)

 -- Andreas Noteng <andreas@noteng.no>  Wed, 11 Mar 2015 20:09:02 +0100

pyspread (0.4-1) unstable; urgency=medium

  * New upstream release
  * Updated the watch file with new pypi upstream url
  * Bump Standards-Version to 3.9.6 (no change)
  * Add fix from upstream to Norwegian translation

 -- Andreas Noteng <andreas@noteng.no>  Mon, 09 Mar 2015 22:26:54 +0100

pyspread (0.3.3-1) unstable; urgency=medium

  * New upstream release

 -- Andreas Noteng <andreas@noteng.no>  Sat, 06 Sep 2014 19:47:00 +0200

pyspread (0.3.2-3) unstable; urgency=medium

  * Rebuild using wxpython3.0 (Closes: #759050)

 -- Andreas Noteng <andreas@noteng.no>  Tue, 26 Aug 2014 22:15:33 +0200

pyspread (0.3.2-2) unstable; urgency=low

  * Add python-jedi and python-xlwt to Recommends
  * Add python-mpltoolkits.basemap to Suggests (needed by one of the examples)

 -- Andreas Noteng <andreas@noteng.no>  Sat, 02 Aug 2014 15:40:07 +0200

pyspread (0.3.2-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Delete tests_font_check.patch, fixed upstream
  * Delete gpg_uid_to_key_id.patch, fixed upstream

 -- Andreas Noteng <andreas@noteng.no>  Sat, 19 Jul 2014 08:41:02 +0200

pyspread (0.2.6-1) unstable; urgency=low

  * New upstream release
  * Refresh patches
  * Delete documentation_typos.patch, fixed upstream
  * Add DEP-8 tests
  * Remove runstests.py during clean and regenerate during test run
  * Add recommends: python-xlrd
  * Add suggests: ttf-mscorefonts-installer
  * Make sure tests don't fail if ttf-mscorefonts-installer is not installed
    (tests_font_check.patch)
  * Switch from using key uid to key id (Closes: #739907)
    (gpg_uid_to_key_id.patch)
  * Standards-Version bumped to 3.9.5 (no change)

 -- Andreas Noteng <andreas@noteng.no>  Sat, 08 Mar 2014 13:49:28 +0100

pyspread (0.2.3-2) unstable; urgency=low

  [ Andreas Noteng ]
  * Upload to unstable
  * Add package type to the Lintian override
  * Add keywords to the .desktop file

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Andreas Noteng <andreas@noteng.no>  Fri, 10 May 2013 18:56:38 +0200

pyspread (0.2.3-1) experimental; urgency=low

  * New upstream release
  * Move the translations to /usr/share/locale, thanks to Jakub Wilk for the
    patch
  * Fix typos in upstream documentation, thanks to Jakub Wilk for the patch
    - documentation_typos.patch
  * After upgrade ~/.pyspreadrc needs to be deleted
  * Update Python dependencies to >= 2.7
  * Change menu category from development to office (Closes: #674463)
  * New dependency matplotlib, python-gnupg
  * Removed suggested dependencies gmpy and rpy
  * Removed dependency python-pyme as it has been replaced by python-gnupg
  * Standards-Version bumped to 3.9.4
    - Changed versioned build dependency debhelper to 8.1.0
  * Updated copyright file
  * Updated manpage
  * Refreshed patches
  * PySpread no longer saves sensitive data in ~/.pyspreadrc (Closes: #701650)
  * Use local version of Python tutorial if it is available (Closes: #704928)
    - python_tutorial.patch
  * Update path to online Python tutorial (Closes: #704929)
    - python_tutorial.patch

 -- Andreas Noteng <andreas@noteng.no>  Wed, 24 Apr 2013 08:33:07 +0200

pyspread (0.2.2-1) unstable; urgency=low

  * Initial release. (Closes: #601950)

 -- Andreas Noteng <andreas@noteng.no>  Tue, 24 Apr 2012 10:52:20 +0200
